%define pypi_name django-pipeline

Name:           python-%{pypi_name}
Version:        2.0.8
Release:        %mkrel 1
Group:          Development/Python
Summary:        Pipeline is an asset packaging library for Django

License:        MIT
URL:            https://pypi.python.org/pypi/django-pipeline
Source0:        https://pypi.io/packages/source/d/%{pypi_name}/%{pypi_name}-%version.tar.xz
BuildArch:      noarch

%description
Pipeline is an asset packaging library for Django.

%package -n python3-%{pypi_name}
Summary:        Pipeline is an asset packaging library for Django
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf django_pipeline.egg-info

sed -i 's|extras_require|#extras_require|' setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/django_pipeline*
%{python3_sitelib}/pipeline


%changelog
* Fri Aug 05 2022 tex - 2.0.8-1pclos2022
- new version

